# Function IsUrl

- IsUrl(__namedParameters?): ((control) => null | ValidationErrors)

- #### Parameters

  - __namedParameters: {
    message?: string;
    options?: IsURLOptions;
    } = {}

    - ##### `Optional` message?: string

    - ##### `Optional` options?: IsURLOptions

  #### Returns ((control) => null | ValidationErrors)

  - - (control): null | ValidationErrors

    - #### Parameters

      - control: AbstractControl<any, any>

      #### Returns null | ValidationErrors

  - Defined in packages/angular/forms/src/lib/validators/is-url.ts:10